Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface LayoutView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface LayoutView
extends MarkupBasedView

Method Summary
`int` | `getBookCount()`
`BookView[]` | `getBookViews()`
`String` | `getHtmlLayoutUri()`
`String` | `getIconUri()`
`LayoutDefinition` | `getLayoutDefinition()`
`LayoutDefinitionId` | `getLayoutDefinitionId()`
`String` | `getLayoutFile()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`int` | `getPlaceableCount()`
`PlaceableView[]` | `getPlaceableViews()`
`int` | `getPlaceholderCount()`
`PlaceholderView` | `getPlaceholderView(PlaceholderDefinitionId placeholderDefinitionId)`
`PlaceholderView[]` | `getPlaceholderViews()`
`int` | `getPortletCount()`
`PortletView[]` | `getPortletViews()`
`String` | `getWebAppName()`
`boolean` | `isDeleted()`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

### getLayoutDefinition

    public LayoutDefinition getLayoutDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

### getPlaceholderViews

    public PlaceholderView[] getPlaceholderViews()

### getPlaceholderView

    public PlaceholderView getPlaceholderView(PlaceholderDefinitionId placeholderDefinitionId)

### getPlaceholderCount

    public int getPlaceholderCount()

### getPortletViews

    public PortletView[] getPortletViews()

### getPortletCount

    public int getPortletCount()

### getBookViews

    public BookView[] getBookViews()

### getBookCount

    public int getBookCount()

### getPlaceableViews

    public PlaceableView[] getPlaceableViews()

### getPlaceableCount

    public int getPlaceableCount()

### getIconUri

    public String getIconUri()

### getHtmlLayoutUri

    public String getHtmlLayoutUri()

### getWebAppName

    public String getWebAppName()

### getLayoutFile

    public String getLayoutFile()

### isDeleted

    public boolean isDeleted()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved